/* CONFIG.H -- CDBS configurable constants
*
* History:
* 10/23/02  xxxxx  MSwam   add cos, wfc3
* 01/27/10  64387  MSwam   add acs,wfc3 special wildcards for expload
*
********************************************************************/

#ifndef  CONFIG_H
#define  CONFIG_H

#ifdef   SZ_FNAME
#undef   SZ_FNAME
#endif

#ifdef   SZ_LINE
#undef   SZ_LINE
#endif

#define  EOS		'\0'	/* end of string marker */
#define  ERR		(-1)	/* status indicating error return */
#define  OK		0	/* status indicating no error */
#define  NO		0	/* boolean return value */
#define  YES		1	/* boolean return value */

#define  MAXPARAM	2000	/* max command line parameters */
#define  SZ_STRING	63	/* max length typical string */
#define  SZ_FNAME	127	/* max filename length */
#define  SZ_LINE	511	/* max input line length */
#define  SZ_QRYLINE	60	/* max query line length */
#define  SZ_DBFIELD	255	/* max length of db string field */

/* The columns in the catalog file */

#define  CATALOG_COLS	"instrument,reftype,filetype,tplfile,extension,keyword"

/* The list of possible wildcard values in observation mode fields */

#define  WILDCARD_LIST   "-1|any|-1.|abcdall|single_amp|fullframe_4amp|fullframe_2amp|custom_subarrays|chip1_sub_nocorners|chip2_sub_nocorners|quad_corner_subarrays"

/* The list of instrument keywords, as read from the first column
 * of catalog file and the associated code letters.
 */

#define  INSTRUMENTS	"acs|foc|fos|hrs|hsp|nic|stis|synphot|wfpc2|wfpc|wfc3|cos"
#define  ICODES		"jxyzvnomuwil"

#define  NO_INST	0
#define  ACS		1
#define  FOC		2
#define  FOS		3
#define  HRS		4
#define  HSP		5
#define  NIC		6
#define  STIS		7
#define  SYNPHOT	8
#define  WFPC2		9
#define  WFPC		10
#define  WFC3           11
#define  COS            12

#endif
